/*******************************************************************************
 * This file is part of OpenNMS(R).
 *
 * Copyright (C) 2018-2018 The OpenNMS Group, Inc.
 * OpenNMS(R) is Copyright (C) 1999-2018 The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is a registered trademark of The OpenNMS Group, Inc.
 *
 * OpenNMS(R) is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published
 * by the Free Software Foundation, either version 3 of the License,
 * or (at your option) any later version.
 *
 * OpenNMS(R) is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OpenNMS(R).  If not, see:
 *      http://www.gnu.org/licenses/
 *
 * For more information contact:
 *     OpenNMS(R) Licensing <license@opennms.org>
 *     http://www.opennms.org/
 *     http://www.opennms.com/
 *******************************************************************************/

package org.opennms.smoketest.telemetry;

import java.util.List;

import org.opennms.netmgt.flows.elastic.NetflowVersion;

import com.google.common.collect.Lists;

public interface Packets {
    // Flow Packets
    FlowPacket Netflow5 = new FlowPacket(NetflowVersion.V5, Payload.resource("/payloads/flows/netflow5.dat"), 2);
    FlowPacket Netflow9 = new FlowPacket(NetflowVersion.V9, Payload.resource("/payloads/flows/netflow9.dat"), 7);
    FlowPacket Ipfix = new FlowPacket(NetflowVersion.IPFIX, Payload.resource("/payloads/flows/ipfix.dat"), 2);
    FlowPacket SFlow = new FlowPacket(NetflowVersion.SFLOW, Payload.resource("/payloads/flows/sflow.dat"), 5);

    // Other Packets
    Packet NXOS = new Packet(Payload.resource("/payloads/telemetry/cisco-nxos-proto.raw"));
    Packet JTI = new Packet(Payload.resource("/payloads/telemetry/jti-proto.raw"));
    Packet BMP = new Packet(Payload.resource("/payloads/telemetry/bmp-proto.raw"));

    static List<FlowPacket> getFlowPackets() {
        return Lists.newArrayList(Netflow5, Netflow9, Ipfix, SFlow);
    }
}
